Loading...
Searching...
No Matches
Magick::renderingIntentImage Class Reference

## Public Member Functions

| renderingIntentImage (const RenderingIntent renderingIntent_)
void | operator() (Image &image_) const

## Private Attributes

RenderingIntent | _renderingIntent

## Detailed Description

Definition at line 1697 of file STL.h.

## Constructor & Destructor Documentation

## renderingIntentImage()

Magick::renderingIntentImage::renderingIntentImage | ( | const RenderingIntent | renderingIntent_ | ) |

Definition at line 1522 of file STL.cpp.

: _renderingIntent( renderingIntent_ )
{
}

## Member Function Documentation

## operator()()

void Magick::renderingIntentImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1526 of file STL.cpp.

{
image_.renderingIntent( _renderingIntent );
}

## Field Documentation

## _renderingIntent

RenderingIntent Magick::renderingIntentImage::_renderingIntent

private

Definition at line 1705 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp